低危 OpenSSH up to 7.3 sshd kex.c/packet.c NEWKEYS Message 拒绝服务漏洞

CVE编号

CVE-2016-10708

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-01-22
漏洞描述
7.4之前的OpenSSH中的sshd允许远程攻击者通过不连续的NEWKEYS消息导致拒绝服务(NULL指针取消引用和守护程序崩溃),如Honggfuzz所示,该消息与kex.c和packet.c有关。

解决建议
厂商已发布了漏洞修复程序,请及时关注更新(或目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载):
https://anongit.mindrot.org/openssh.git/commit/?id=28652bca29046f62c7045e933e6b931de1d16737
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp cloud_backup - -
运行在以下环境
应用 netapp data_ontap - -
运行在以下环境
应用 netapp data_ontap_edge - -
运行在以下环境
应用 netapp oncommand_unified_manager * From
(including)
9.4
运行在以下环境
应用 netapp service_processor - -
运行在以下环境
应用 netapp storagegrid - -
运行在以下环境
应用 netapp storagegrid_webscale - -
运行在以下环境
应用 netapp vasa_provider - -
运行在以下环境
应用 openbsd openssh * Up to
(excluding)
7.4
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian_7 openssh * Up to
(excluding)
1:6.0p1-4+deb7u7
运行在以下环境
系统 debian_8 openssh * Up to
(excluding)
1:6.7p1-5+deb8u6
运行在以下环境
系统 netapp clustered_data_ontap - -
运行在以下环境
系统 opensuse_Leap_42.3 openssh * Up to
(excluding)
7.2p2-21.1
运行在以下环境
系统 redhat_7 openssh * Up to
(excluding)
0:7.4p1-11.el7
运行在以下环境
系统 sles_11_SP4 openssh * Up to
(excluding)
36.3.1
运行在以下环境
系统 sles_12 openssh * Up to
(excluding)
7.2p2-74.19
运行在以下环境
系统 sles_12_SP3 openssh * Up to
(excluding)
74.19.1
运行在以下环境
系统 suse_11_SP4 openssh * Up to
(excluding)
36.3.1
运行在以下环境
系统 suse_12_SP3 openssh * Up to
(excluding)
74.19.1
运行在以下环境
系统 ubuntu_14.04 openssh * Up to
(excluding)
1:6.6p1-2ubuntu2.11
运行在以下环境
系统 ubuntu_14.04_lts openssh * Up to
(excluding)
1:6.6p1-2ubuntu2.11
运行在以下环境
系统 ubuntu_16.04 openssh * Up to
(excluding)
1:7.2p2-4ubuntu2.6
运行在以下环境
系统 ubuntu_16.04_lts openssh * Up to
(excluding)
1:7.2p2-4ubuntu2.6
运行在以下环境
系统 ubuntu_18.04_lts openssh * Up to
(excluding)
1:7.5p1-10
运行在以下环境
系统 ubuntu_18.10 openssh * Up to
(excluding)
1:7.5p1-10
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况